export default [
  {
    url: '/tag/list\.*',
    type: 'get',
    response: config => {
      const params = config.query
      // mock error
      if (!('pageSize' in params)) {
        return {
          code: 50008,
          message: 'Login failed, unable to get user details.'
        }
      }

      return {
        code: 20000,
        data: {
          info: {
            totalNum: 99,
            usedNum: 24
          },
          items: [
            {
              tagType: '专家说',
              usedStatus: '已使用',
              tagName: 'XXX',
              usedNum: 15,
              showStatus: '展示中'
            }, {
              tagType: '2专家说',
              usedStatus: '未使用',
              tagName: 'XXX',
              usedNum: 74,
              showStatus: '展示中'
            }
          ],
          pagination: {
            total: 14
          }
        }
      }
    }
  }
]
